Bug 1289034 - [abrt] gnome-software: g_hash_table_resize(): gnome-software killed by SIGABRT
[abrt] gnome-software: g_hash_table_resize(): gnome-software killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-software (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:247610a01743b13e6c9d9291d86...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 04:55 EST by marcvw
Modified: 2016-12-20 11:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:43:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (63.55 KB, text/plain)
2015-12-07 04:55 EST, marcvw
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-07 04:55 EST, marcvw
no flags Details
File: core_backtrace (2.94 KB, text/plain)
2015-12-07 04:55 EST, marcvw
no flags Details
File: dso_list (15.59 KB, text/plain)
2015-12-07 04:55 EST, marcvw
no flags Details
File: environ (1.74 KB, text/plain)
2015-12-07 04:55 EST, marcvw
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-07 04:55 EST, marcvw
no flags Details
File: maps (72.05 KB, text/plain)
2015-12-07 04:55 EST, marcvw
no flags Details
File: mountinfo (3.35 KB, text/plain)
2015-12-07 04:55 EST, marcvw
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-07 04:55 EST, marcvw
no flags Details
File: open_fds (2.28 KB, text/plain)
2015-12-07 04:55 EST, marcvw
no flags Details
File: proc_pid_status (1023 bytes, text/plain)
2015-12-07 04:55 EST, marcvw
no flags Details
File: var_log_messages (6.76 KB, text/plain)
2015-12-07 04:55 EST, marcvw
no flags Details

  None (edit)
Description marcvw 2015-12-07 04:55:12 EST
Version-Release number of selected component:
gnome-software-3.18.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_hash_table_resize
executable:     /usr/bin/gnome-software
global_pid:     4380
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #7 g_hash_table_resize at ghash.c:618
 #8 g_hash_table_maybe_resize at ghash.c:645
 #9 g_hash_table_remove_all at ghash.c:1429
 #10 as_store_remove_all at as-store.c:306
 #11 gs_plugin_startup at gs-plugin-appstream.c:192
 #12 gs_plugin_refine at gs-plugin-appstream.c:758
 #13 gs_plugin_loader_run_refine_plugin at gs-plugin-loader.c:215
 #14 gs_plugin_loader_run_refine at gs-plugin-loader.c:278
 #15 gs_plugin_loader_run_results at gs-plugin-loader.c:442
 #16 gs_plugin_loader_get_featured_thread_cb at gs-plugin-loader.c:1251
Comment 1 marcvw 2015-12-07 04:55:17 EST
Created attachment 1103091 [details]
File: backtrace
Comment 2 marcvw 2015-12-07 04:55:18 EST
Created attachment 1103092 [details]
File: cgroup
Comment 3 marcvw 2015-12-07 04:55:20 EST
Created attachment 1103093 [details]
File: core_backtrace
Comment 4 marcvw 2015-12-07 04:55:21 EST
Created attachment 1103094 [details]
File: dso_list
Comment 5 marcvw 2015-12-07 04:55:23 EST
Created attachment 1103095 [details]
File: environ
Comment 6 marcvw 2015-12-07 04:55:24 EST
Created attachment 1103096 [details]
File: limits
Comment 7 marcvw 2015-12-07 04:55:26 EST
Created attachment 1103097 [details]
File: maps
Comment 8 marcvw 2015-12-07 04:55:27 EST
Created attachment 1103098 [details]
File: mountinfo
Comment 9 marcvw 2015-12-07 04:55:29 EST
Created attachment 1103099 [details]
File: namespaces
Comment 10 marcvw 2015-12-07 04:55:30 EST
Created attachment 1103100 [details]
File: open_fds
Comment 11 marcvw 2015-12-07 04:55:31 EST
Created attachment 1103101 [details]
File: proc_pid_status
Comment 12 marcvw 2015-12-07 04:55:33 EST
Created attachment 1103102 [details]
File: var_log_messages
Comment 13 Richard Hughes 2016-01-08 05:10:27 EST
What were you doing when the application crashed?
Comment 14 marcvw 2016-01-08 08:07:01 EST
I am not sure and do not have journal logs related to this event (they are rotated). This event hasn't occurred in the last weeks.
Comment 15 Fedora End Of Life 2016-11-24 09:02:11 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 11:43:05 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.